Bug 565935 - Artifex Software, Inc. is happy to announce the release of GPL Ghostscript 8.71
Summary: Artifex Software, Inc. is happy to announce the release of GPL Ghostscript 8.71
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-16 18:11 UTC by acount closed by user
Modified: 2010-03-06 03:39 UTC (History)
2 users (show)

Fixed In Version: ghostscript-8.71-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-27 03:34:51 UTC


Attachments (Terms of Use)
Fixed LDFLAGS patch (1.38 KB, patch)
2010-02-19 20:15 UTC, Edward Sheldrake
no flags Details | Diff
Fix pdf2dsc (518 bytes, patch)
2010-02-19 21:58 UTC, Edward Sheldrake
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Ghostscript 690695 None None None Never

Description acount closed by user 2010-02-16 18:11:48 UTC
New in this release is an experimental project file for Microsoft Visual Studio. This wraps the normal nmake build, and makes it easier for developers to get started building Ghostscript with that compiler.

Support for tiff file output is now provided using the libtiff implementation rather than our more limited native code as in previous releases. There is also a new 'tiffsep1' output device which produces halftoned separations at 1 bit-per-pixel, in contrast to the 'tiffsep' device which produces 8 bit-per-pixel plates.

Support for using FreeType as a type rasterizer has been greatly improved. We do not recommend its use as of this release, but it is much more functional than previously and our intent is that it will become the default in a future release.

The graphics library has been updated to provide more accurate scan conversion of vector art including fixes to dash behavior, transparent stroked paths, thick stroked paths, radial shadings, xps cap handling, "pie" joins, degenerate beziers, improved handling of dropouts in thin strokes and better thin axis-aligned strokes.
Incompatible changes

There are no recorded incompatible changes.

Comment 1 Fedora Update System 2010-02-17 18:22:36 UTC
ghostscript-8.71-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ghostscript-8.71-1.fc12

Comment 2 Fedora Update System 2010-02-17 18:23:22 UTC
ghostscript-8.71-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ghostscript-8.71-1.fc11

Comment 3 Fedora Update System 2010-02-17 18:33:36 UTC
ghostscript-8.71-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ghostscript-8.71-2.fc13

Comment 4 Edward Sheldrake 2010-02-18 23:21:15 UTC
These potential, not released yet, updates seem somewhat broken, the /usr/bin/gs executable cannot start, it just segfaults, so gv doesn't work. But programs like evince, using libgs, still work.

The backtrace isn't helpful:
#0  0x00000001 in ?? ()

$ file /usr/bin/gs
/usr/bin/gs: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, stripped

The problem seems to be that /usr/bin/gs isn't even a proper executable file, it has ended up as a shared object, due to LDFLAGS changes in http://bugs.ghostscript.com/show_bug.cgi?id=690695 .

Comment 5 Fedora Update System 2010-02-19 11:54:49 UTC
ghostscript-8.71-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ghostscript-8.71-2.fc11

Comment 6 Fedora Update System 2010-02-19 11:55:38 UTC
ghostscript-8.71-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ghostscript-8.71-2.fc12

Comment 7 Fedora Update System 2010-02-19 11:56:49 UTC
ghostscript-8.71-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ghostscript-8.71-3.fc13

Comment 8 Tim Waugh 2010-02-19 11:58:12 UTC
Thanks, fixed packages built now.  Didn't spot it because it worked fine on
x86_64.

Comment 9 Edward Sheldrake 2010-02-19 19:57:14 UTC
Err, ghostscript-8.71-2.fc12.i686 is broken, but differently. The library has lost it's soname, the resulting packages require libgs.so but only provide libgs.so.8.71, so don't install due to failed dependencies.

Comment 10 Edward Sheldrake 2010-02-19 20:15:43 UTC
Created attachment 395172 [details]
Fixed LDFLAGS patch

I think I've fixed it - some quotes were missing, so the arguments after "-shared" were getting dropped.

Comment 11 Edward Sheldrake 2010-02-19 21:58:18 UTC
Created attachment 395186 [details]
Fix pdf2dsc

Also, gv can no longer display PDF files with ghostscript 8.71. Looks like copy_trailer_attrs got renamed to process_trailer_attrs, but one was missed.

Comment 12 Fedora Update System 2010-02-20 00:10:26 UTC
ghostscript-8.71-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1303

Comment 13 Fedora Update System 2010-02-20 00:16:35 UTC
ghostscript-8.71-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-1002

Comment 14 Fedora Update System 2010-02-20 00:29:35 UTC
ghostscript-8.71-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1891

Comment 15 acount closed by user 2010-02-20 15:08:08 UTC
(In reply to comment #14)

> ghostscript-8.71-2.fc12 has been pushed to the Fedora 12 testing repository. 
> If problems still persist, please make note of it in this bug report.
>  If you want to test the update, you can install it with 
>  su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide
> feedback for this update here:
> http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1891    


This build is broken, it's for mdadm-3.1.1-0.gcd9a8b5.3.fc12 !!

Comment 16 Fedora Update System 2010-02-20 20:03:53 UTC
ghostscript-8.71-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1303

Comment 17 Fedora Update System 2010-02-20 20:04:45 UTC
ghostscript-8.71-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ghostscript-8.71-4.fc12

Comment 18 Fedora Update System 2010-02-20 20:05:32 UTC
ghostscript-8.71-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/F13/FEDORA-2010-1002

Comment 19 Fedora Update System 2010-02-21 16:57:26 UTC
ghostscript-8.71-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-1002

Comment 20 Tim Waugh 2010-02-22 09:27:20 UTC
(In reply to comment #11)
> Created an attachment (id=395186) [details]
> Fix pdf2dsc
> 
> Also, gv can no longer display PDF files with ghostscript 8.71. Looks like
> copy_trailer_attrs got renamed to process_trailer_attrs, but one was missed.    

Thanks for these fixes!

Comment 21 Fedora Update System 2010-02-23 05:15:05 UTC
ghostscript-8.71-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-2479

Comment 22 Fedora Update System 2010-02-23 05:30:10 UTC
ghostscript-8.71-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghostscript'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-2576

Comment 23 Fedora Update System 2010-02-27 03:34:41 UTC
ghostscript-8.71-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2010-02-28 14:48:26 UTC
ghostscript-8.71-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2010-03-02 00:53:51 UTC
ghostscript-8.71-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2010-03-02 01:09:06 UTC
ghostscript-8.71-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2010-03-03 01:50:13 UTC
ghostscript-8.71-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2010-03-04 00:08:53 UTC
ghostscript-8.71-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2010-03-06 03:39:00 UTC
ghostscript-8.71-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.